Bug 18166 - Show internal and vendor notes for received orders
Summary: Show internal and vendor notes for received orders
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-23 16:51 UTC by Alexandre
Modified: 2019-05-29 07:27 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
This enhancement makes internal and vendor notes visible for received orders. Previously these were only shown for pending orders.
Version(s) released in:


Attachments
No notes for already received orders (94.87 KB, image/png)
2017-02-23 16:51 UTC, Alexandre
Details
Bug 18166: Show internal and vendor notes for receivied orders (2.78 KB, patch)
2019-02-10 20:23 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18166: Show internal and vendor notes for receivied orders (2.86 KB, patch)
2019-02-15 19:28 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 18166: Show internal and vendor notes for receivied orders (2.91 KB, patch)
2019-02-20 12:13 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre 2017-02-23 16:51:51 UTC
Created attachment 60623 [details]
No notes for already received orders

Hi, someone have reported something like a minor bug.

1) Go to acquisition module
2) Make a vendor search, Amazon for example
3) Create a new basket for it
4) Create a new order in it
5) Add an internal and a vendor note and save them
6) Close your basket
7) Return to the vendor basket(s) page and clic on "Receive shipment", then clic on your order on the board and clic on "Finish receiving"
8) Create a new invoice for the order (complete "Vendor invoice", "Shipping cost" and "Shipping fund"), clic "Next" and then clic "Save"
9) Return to "Pending orders" board to observe that internal and vendor infos appear
10)  Clic on "Receipt" the order on the right
11) Clic on the "Receive?" case and save
11) The system will return on Receipt summary page and observe that the said infos don't appear anymore on the "Already received" board

These notes are usefull to staff clients when they make a fast check up on received orders.
Comment 1 Alexandre 2017-02-24 14:34:17 UTC
Hi, 

Long story short, the internal and vendor notes will simply disappear after an order was received. However, these notes remain usefull after reception.

Thanks for helping,

Alexandre from CCSR
Comment 2 Katrin Fischer 2019-02-10 20:23:41 UTC
Created attachment 84949 [details] [review]
Bug 18166: Show internal and vendor notes for receivied orders

This copies the logic for showing, adding and editing vendor
and internal notes from the pending orders to the received
orders.

To test:
- In acquisitions create a basket with orders
- Make your you have some internal and vendor notes
- Close the basket and receive shipment
- Create or reuse an invoice
- Receive some of your orders
- Verify that the notes don't show for received orders
- Apply patch
- Verify that the edit/change vendor/internal note links
  work the same on pending and received orders
Comment 3 José-Mario Monteiro-Santos 2019-02-15 19:28:53 UTC
Created attachment 85188 [details] [review]
Bug 18166: Show internal and vendor notes for receivied orders

This copies the logic for showing, adding and editing vendor
and internal notes from the pending orders to the received
orders.

To test:
- In acquisitions create a basket with orders
- Make your you have some internal and vendor notes
- Close the basket and receive shipment
- Create or reuse an invoice
- Receive some of your orders
- Verify that the notes don't show for received orders
- Apply patch
- Verify that the edit/change vendor/internal note links
  work the same on pending and received orders

Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>
Comment 4 Josef Moravec 2019-02-20 12:13:43 UTC
Created attachment 85329 [details] [review]
Bug 18166: Show internal and vendor notes for receivied orders

This copies the logic for showing, adding and editing vendor
and internal notes from the pending orders to the received
orders.

To test:
- In acquisitions create a basket with orders
- Make your you have some internal and vendor notes
- Close the basket and receive shipment
- Create or reuse an invoice
- Receive some of your orders
- Verify that the notes don't show for received orders
- Apply patch
- Verify that the edit/change vendor/internal note links
  work the same on pending and received orders

Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Nick Clemens 2019-02-22 15:05:03 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-02-26 09:40:00 UTC
Pushed to 18.11.x for 18.11.04
Comment 7 Lucas Gass 2019-03-08 16:02:09 UTC
backported to 18.05.x for 18.05.11